<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Exercício numero 1 com Vue Js</title>
</head>
<body>
	<div id="challange">

		<!--
			ENUNCIADO:
				1) Exiba um alert quando o botão for clicado;
				2) Escute o evento 'keydown' e armazene o 'valor' na propriedade data (dica: event.target.value);
				3) Ajuste o exemplo 2 para disparar o evento 'keydown' somente quando a tecla for ENTER
		-->


		<!-- 1 -->
			<div style="margin-bottom: 1rem;">
				<button @click="msgAlert">Exibir Alerta</button>
			</div>
		<!-- 1 -->



		<!-- 2 -->
			<div>
				<!-- <input type="text" @keydown="letraDigitada" v-model="valor"> -->
				<input type="text" v-on:keydown="valor = $event.target.value">
				<p>{{ valor }}</p>
			</div>
			<br>
		<!-- 2 -->



		<!-- 3 -->
			<div>
				<!-- ERRADA, não consegui --> <!--<input type="text" v-on:keydown.prevent.enter="letraDigitada1" v-model="valor1"> --> <!-- NÃO PRECISAVA DO V-MODEL -->
				<input type="text" v-on:keydown.enter="letraDigitada1">
				<p>{{ valor1 }}</p>
			</div>
		<!-- 3 -->

	</div>

	<script src="https://unpkg.com/vue@next"></script> <!-- vue@3 -->
	<script src="app.js"></script>
</body>
</html>
